changeset 57390:ef6ede568b9b

8235789: AC_REQUIRE: 'PLATFORM_EXTRACT_TARGET_AND_BUILD' was expanded before it was required Reviewed-by: erikj
author mikael
date Wed, 11 Dec 2019 16:17:03 -0800
parents dda082a3bd93
children 42bf28a4f258
files make/autoconf/platform.m4
diffstat 1 files changed, 1 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/make/autoconf/platform.m4	Wed Dec 11 15:34:19 2019 -0800
+++ b/make/autoconf/platform.m4	Wed Dec 11 16:17:03 2019 -0800
@@ -561,12 +561,11 @@
   PLATFORM_CHECK_DEPRECATION
 ])
 
-AC_DEFUN_ONCE([PLATFORM_CHECK_DEPRECATION],
+AC_DEFUN([PLATFORM_CHECK_DEPRECATION],
 [
   AC_ARG_ENABLE(deprecated-ports, [AS_HELP_STRING([--enable-deprecated-ports@<:@=yes/no@:>@],
        [Suppress the error when configuring for a deprecated port @<:@no@:>@])])
 
-  AC_REQUIRE([PLATFORM_EXTRACT_TARGET_AND_BUILD])
   if test "x$OPENJDK_TARGET_OS" = xsolaris || test "x$OPENJDK_TARGET_CPU_ARCH" = xsparc; then
     if test "x$enable_deprecated_ports" = "xyes"; then
       AC_MSG_WARN([The Solaris and SPARC ports are deprecated and may be removed in a future release.])